Name:		perl-Test-XML
Version:	0.08
Release:	2%{?dist}
Summary:	Compare XML in perl tests
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/XML-SemanticDiff/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SE/SEMANTICO/Test-XML-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Build
BuildRequires:	perl
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XML::LibXML)
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl(XML::SAX)
BuildRequires:	perl(XML::SAX::ParserFactory)
BuildRequires:	perl(XML::SAX::Writer)
BuildRequires:	perl(XML::SemanticDiff)
BuildRequires:	perl(XML::Twig)
BuildRequires:	perl(XML::XPath)
# Test Suite
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(XML::SAX::Base)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Only XML::LibXML is actually needed for Test::XML::XPath, but we require
# XML::XPath too in case someone wants to use Test::XML::XPath::XML::XPath
# directly for some reason
Requires:	perl(XML::LibXML)
Requires:	perl(XML::XPath)

%description
This module contains generic XML testing tools. Functions include:

is_xml(GOT, EXPECTED [, TESTNAME ])

  This function compares GOT and EXPECTED, both of which are strings of XML.
  The comparison works semantically and will ignore differences in syntax
  that are meaningless in xml, such as different quote characters for
  attributes, order of attributes or empty tag styles. It returns true or
  false, depending upon test success.

isnt_xml(GOT, MUST_NOT_BE [, TESTNAME ])

  This function is similiar to is_xml(), except that it will fail if GOT and
  MUST_NOT_BE are identical.

is_well_formed_xml(XML [, TESTNAME ])

  This function determines whether or not a given XML string is parseable as
  XML.

is_good_xml(XML [, TESTNAME ])

    This is an alias for is_well_formed_xml().

%prep
%setup -q -n Test-XML-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::XML.3*
%{_mandir}/man3/Test::XML::SAX.3*
%{_mandir}/man3/Test::XML::Twig.3*
%{_mandir}/man3/Test::XML::XPath.3*

%changelog
* Tue Oct  7 2014 Paul Howarth <paul@city-fan.org> - 0.08-2
- BR: perl(Test::Builder::Tester) (#1148580)

* Wed Oct  1 2014 Paul Howarth <paul@city-fan.org> - 0.08-1
- Initial RPM version
